- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ExtendableDigraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseDigraphComponent>
class lemon::concepts::ExtendableDigraphComponent< BAS >

This class describes the interface of extendable directed graphs. It extends BaseDigraphComponent with functions for adding nodes and arcs to the digraph. This concept requires AlterableDigraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inherits BAS.

## Public Member Functions
Node | addNode ()
| Add a new node to the digraph. More...
Arc | addArc (const Node &, const Node &)
| Add a new arc connecting the given two nodes. More...

## Member Function Documentation

Node addNode | ( |  | ) |
| inline

This function adds a new node to the digraph.

Arc addArc | ( | const Node & | ,
|  | const Node & |
| ) |  |
| inline

This function adds a new arc connecting the given two nodes of the digraph.